@import 'scss/base';

$button-border: 1px;
$hover-travel: 5px;

.button-common {
    position: relative;
    height: 2.8517em;
    padding-left: 25px;
    padding-right: 25px;
    background-color: $white;
    border: $button-border solid $black;
    color: $black;
    cursor: pointer;
    font-size: 14px;
    line-height: 2.8517em;
    text-decoration: none;
    text-align: center;
    overflow: hidden;
}

.button-flashy-theme {
    box-shadow: $hover-travel $hover-travel 0 0 $devacurl-green;
    transform: translate(-$hover-travel, -$hover-travel);
    transition: transform 0.2s, box-shadow 0.2s;

    &:hover {
        transform: translate(-1px, -1px);
        box-shadow: 1px 1px 0 0 $devacurl-green;
    }

    &:active {
        background-color: $muted-green;
    }

    @include breakpoint($all-small) {
        font-size: 12px;
    }
}

.button-theme {
    min-width: 138px;
    transition: background-color 0.2s;

    &:hover,
    &:active {
        background-color: $muted-green;
    }
}

.green-button {
    background-color: $muted-green;
}

.text-common {
    position: relative;
    appearance: none;
    padding: 0;
    background-color: transparent;
    border: 0;
    color: $black;
    cursor: pointer;
    text-decoration: none;

    &:after {
        content: '';
        position: absolute;
        right: 0;
        left: 0;
        transform-origin: left center;
    }
}

.text-link-theme {
    font-size: 16px;

    @include breakpoint($medium) {
        font-size: 15px;
    }

    @include breakpoint($small) {
        font-size: 14px;
    }

    &:hover:after {
        @keyframes foo {
            from {
                transform: scaleX(0);
            }
            to {
                transform: scaleX(1);
            }
        }

        animation-name: foo;
        animation-duration: 0.4s;
    }

    &:hover:after,
    &.active:after {
        bottom: 2px;
        height: 0.0938em;
        background-color: $black;
        transform: scaleX(1);
    }
}

.tabs-theme {
    font-size: 15px;
    font-weight: 700;
    text-decoration: none;
    transition: box-shadow 0.15s;

    span {
        position: relative;
        z-index: 1;
    }

    @include breakpoint($medium) {
        font-size: 14px;
    }

    @include breakpoint($small) {
        font-size: 13px;
    }

    &:after {
        bottom: 0;
        height: 0.3333em;
        background-color: $devacurl-green;
        transform: scaleX(0);
        transition: transform 0.3s;
    }

    &:hover:after,
    &.active:after {
        transform: scaleX(1);
    }
}

.dropdown-theme {
    appearance: none;
    padding: 0;
    background-color: transparent;
    border: 0;
    color: $boulder;
    cursor: pointer;
    font-size: 16px;
    text-decoration: none;
    transition: color 0.2s;

    @include breakpoint($medium) {
        font-size: 15px;
    }

    @include breakpoint($small) {
        font-size: 14px;
    }

    &:hover {
        color: $black;
    }
}

.light {
    color: $white;
}

.unstyled {
    background: transparent;
    color: inherit;
    border: 0;
    padding: 0;
    text-decoration: none;
    cursor: pointer;
}
